> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameball.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Release Coupons

> Release locked coupons to make them available for use again.

This API releases the lock on coupons identified by the provided `{lockReference}` in Gameball. Once released, the coupons become available for use again, offering flexibility in managing coupon availability and redemption.

<Info>
  **Security**: Requires **apikey** and **secretkey** headers.
</Info>


## OpenAPI

````yaml DELETE /api/v4.0/integrations/coupons/{lockReference}
openapi: 3.1.0
info:
  title: Gameball API
  description: >-
    Gameball REST API v4.0 - Complete API reference for integrating loyalty,
    gamification, and customer engagement features
  version: 4.0.0
servers:
  - url: https://api.gameball.co
security:
  - bearerAuth: []
paths:
  /api/v4.0/integrations/coupons/{lockReference}:
    delete:
      description: >-
        This API releases the lock on coupons identified by the provided
        {lockReference} in Gameball. Once released, the coupons become available
        for use again, offering flexibility in managing coupon availability and
        redemption.
      parameters:
        - name: lockReference
          in: path
          required: true
          schema:
            type: string
          description: >-
            Unique identifier for the previously locked coupons to be available
            for others to use again or for another session.
      responses:
        '200':
          description: Coupons released successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  releasedAt:
                    type: string
                    format: date-time
                  releasedCoupons:
                    type: array
                    items:
                      type: string
      security:
        - apiKey: []
          secretKey: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: apikey
    secretKey:
      type: apiKey
      in: header
      name: secretkey

````